import {request} from '@/utils/request.js'

/**
 * 获取评分清单视图
 * @param data
 * 
 * @returns
 */
export function getScoreView(checklistId) {
  return request({
    url: `/checklist/view/${checklistId}`,
    method: 'GET'
  })
}

/**
 * 获取评分清单记录视图
 * @param data
 * 
 * @returns
 */
export function getScoreRecordView(recordId,checklistId) {
  return request({
    url: `/checklist/score/record/view/${recordId}/${checklistId}`,
    method: 'GET'
  })
}

// 2. 一次批量提交
export function batchSatisfactionChecklist(data) {
  return request({
    url:"/checklist/score/record/batch",
    method: 'POST',
	data
  })
}
/**
 * 获取Checklist列表
 * @param data
 * @returns
 */
export function getChecklistScoreRecordByList(data) {
  return request({
    url: '/checklist/score/record',
    method: 'GET',
    data
  })
}
/**
 * 获取Checklist列表
 * @param data
 * @returns
 */
export function getChecklistScoreRecordByPage(data) {
  return request({
    url: '/checklist/score/record/page',
    method: 'GET',
    data
  })
}